# $Revision: 1.5 $, $Date: 2007/02/13 07:47:12 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pnam	MKDoc-XML
Summary:	MKDoc::XML - The MKDoc XML Toolkit
Summary(pl.UTF-8):	MKDoc::XML - zestaw narzędzi MKDoc XML
Name:		perl-MKDoc-XML
Version:	0.75
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/B/BP/BPOSTLE/%{pnam}-%{version}.tar.gz
# Source0-md5:	bae96f16d2f55ac01f562d2e101b2824
URL:		http://search.cpan.org/dist/MKDoc-XML/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MKDoc::XML - The MKDoc XML Toolkit.

%description -l pl.UTF-8
MKDoc::XML - zestaw narzędzi MKDoc XML.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/MKDoc
%{perl_vendorlib}/MKDoc/*.pm
%{perl_vendorlib}/MKDoc/XML
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MKDoc-XML.spec,v $
Revision 1.5  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.3  2006/10/25 17:22:03  ankry
- rel. 1

Revision 1.2  2006/02/19 18:03:58  qboosh
- pl, missing dir

Revision 1.1  2006/02/15 01:28:21  mguevara
- MKDoc::XML - The MKDoc XML Toolkit
